From: "Alexys Jacob" <ultrabug@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-db/mongodb/
Date: Wed, 20 May 2020 16:20:26 +0000 (UTC) [thread overview]
Message-ID: <1589991620.1a0d8929be7eaf212a2542e340f5fc227a134b43.ultrabug@gentoo> (raw)
commit: 1a0d8929be7eaf212a2542e340f5fc227a134b43
Author: Alexys Jacob <ultrabug <AT> gentoo <DOT> org>
AuthorDate: Wed May 20 16:18:45 2020 +0000
Commit: Alexys Jacob <ultrabug <AT> gentoo <DOT> org>
CommitDate: Wed May 20 16:20:20 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1a0d8929
dev-db/mongodb: version bump, add test dep fix #722630
Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: Alexys Jacob <ultrabug <AT> gentoo.org>
dev-db/mongodb/Manifest | 1 +
dev-db/mongodb/mongodb-4.2.3-r1.ebuild | 10 ++++------
.../mongodb/{mongodb-4.2.3-r1.ebuild => mongodb-4.2.6.ebuild} | 10 ++++------
3 files changed, 9 insertions(+), 12 deletions(-)
diff --git a/dev-db/mongodb/Manifest b/dev-db/mongodb/Manifest
index fc2f7104f2b..911edc7240f 100644
--- a/dev-db/mongodb/Manifest
+++ b/dev-db/mongodb/Manifest
@@ -9,3 +9,4 @@ DIST mongodb-src-r4.0.16.tar.gz 50091501 BLAKE2B a383f9fef8e5b2ceda9646dfc4f4f46
DIST mongodb-src-r4.2.1.tar.gz 60922510 BLAKE2B b06141cf0a8d256fc24e64c7115093009f42a97c74d270997ad4a70fb040199db05c5083cf1639283cc253264fbeb975d7efe3a41227d75146d7aa2e2fb9fa12 SHA512 6057f68ebeb2d5f74e70639fcc08aecfb112d386e3d016e18dfb2413319abf46249a0f5ffcfb74be9264a2ef34f45dd96f9774d86b1ec7e7213276f1c84f3106
DIST mongodb-src-r4.2.2.tar.gz 60991680 BLAKE2B afd31a60929ebfe9c02abee92fd4814c178b03e4e88e10069003fd3e1813481e9cc967e8b4d15b87b0fe703df7fa42a70f60db33cf84ecbf1decfd6657e28ba1 SHA512 30f1e20fbe45ca136869f3fd7e54f1cd65d1544c0693b9945a0036a50257cfc12915a17bf79267500496b5acf3cfa24f406114ea7180b7abee89cd62de5eec80
DIST mongodb-src-r4.2.3.tar.gz 61565615 BLAKE2B 695310a497e57f1c735f175f5b321c93cda376ec734bb08d4cabbd562a865b327f529560220be9c22f571cc70af333a77f0116f04c7f7e3a40f275ab53ab1bf9 SHA512 60e9091cfab4a189a937dfa7ce232eb6ead2ca192c916579f4fb5da2040aa340ae9de0ea8c7a4ccb0edcfdbdf6e666144657f171c3f23c0a62bccf27cd351c69
+DIST mongodb-src-r4.2.6.tar.gz 61671088 BLAKE2B 7f2b6240b05639d2bbe37ea148cbb225b30813879f71a5fc3c135ef7debd58edf75abe925d00f9ff96dc6a75a525b4504e25254b0046326069c05bb1dfd60827 SHA512 117c910807a8363aab6b899b436a4b06564b6e53abfa7f0fe6e01c1e242401ab5a3634d9edc5e0a5e2d548a480c90b70ac492eb199b3f2476d9045a78e376af8
diff --git a/dev-db/mongodb/mongodb-4.2.3-r1.ebuild b/dev-db/mongodb/mongodb-4.2.3-r1.ebuild
index 71eeff3756b..2e49123287f 100644
--- a/dev-db/mongodb/mongodb-4.2.3-r1.ebuild
+++ b/dev-db/mongodb/mongodb-4.2.3-r1.ebuild
@@ -42,12 +42,11 @@ RDEPEND="acct-group/mongodb
DEPEND="${RDEPEND}
${PYTHON_DEPS}
$(python_gen_any_dep '
- test? ( dev-python/pymongo[${PYTHON_USEDEP}] )
+ test? ( dev-python/pymongo[${PYTHON_USEDEP}] dev-python/pymongo[${PYTHON_USEDEP}] )
>=dev-util/scons-2.5.0[${PYTHON_USEDEP}]
dev-python/cheetah3[${PYTHON_USEDEP}]
dev-python/psutil[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
- virtual/python-typing[${PYTHON_USEDEP}]
')
sys-libs/ncurses:0=
sys-libs/readline:0=
@@ -63,15 +62,14 @@ S="${WORKDIR}/${MY_P}"
python_check_deps() {
if use test; then
- has_version "dev-python/pymongo[${PYTHON_USEDEP}]" ||
- return 1
+ has_version "dev-python/pymongo[${PYTHON_USEDEP}]" || return 1
+ has_version "dev-python/requests[${PYTHON_USEDEP}]" || return 1
fi
has_version ">=dev-util/scons-2.5.0[${PYTHON_USEDEP}]" &&
has_version "dev-python/cheetah3[${PYTHON_USEDEP}]" &&
has_version "dev-python/psutil[${PYTHON_USEDEP}]" &&
- has_version "dev-python/pyyaml[${PYTHON_USEDEP}]" &&
- has_version "virtual/python-typing[${PYTHON_USEDEP}]"
+ has_version "dev-python/pyyaml[${PYTHON_USEDEP}]"
}
pkg_pretend() {
diff --git a/dev-db/mongodb/mongodb-4.2.3-r1.ebuild b/dev-db/mongodb/mongodb-4.2.6.ebuild
similarity index 94%
copy from dev-db/mongodb/mongodb-4.2.3-r1.ebuild
copy to dev-db/mongodb/mongodb-4.2.6.ebuild
index 71eeff3756b..b88bcf9c846 100644
--- a/dev-db/mongodb/mongodb-4.2.3-r1.ebuild
+++ b/dev-db/mongodb/mongodb-4.2.6.ebuild
@@ -42,12 +42,11 @@ RDEPEND="acct-group/mongodb
DEPEND="${RDEPEND}
${PYTHON_DEPS}
$(python_gen_any_dep '
- test? ( dev-python/pymongo[${PYTHON_USEDEP}] )
+ test? ( dev-python/pymongo[${PYTHON_USEDEP}] dev-python/requests[${PYTHON_USEDEP}] )
>=dev-util/scons-2.5.0[${PYTHON_USEDEP}]
dev-python/cheetah3[${PYTHON_USEDEP}]
dev-python/psutil[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
- virtual/python-typing[${PYTHON_USEDEP}]
')
sys-libs/ncurses:0=
sys-libs/readline:0=
@@ -63,15 +62,14 @@ S="${WORKDIR}/${MY_P}"
python_check_deps() {
if use test; then
- has_version "dev-python/pymongo[${PYTHON_USEDEP}]" ||
- return 1
+ has_version "dev-python/pymongo[${PYTHON_USEDEP}]" || return 1
+ has_version "dev-python/requests[${PYTHON_USEDEP}]" || return 1
fi
has_version ">=dev-util/scons-2.5.0[${PYTHON_USEDEP}]" &&
has_version "dev-python/cheetah3[${PYTHON_USEDEP}]" &&
has_version "dev-python/psutil[${PYTHON_USEDEP}]" &&
- has_version "dev-python/pyyaml[${PYTHON_USEDEP}]" &&
- has_version "virtual/python-typing[${PYTHON_USEDEP}]"
+ has_version "dev-python/pyyaml[${PYTHON_USEDEP}]"
}
pkg_pretend() {
next reply other threads:[~2020-05-20 16:20 UTC|newest]
Thread overview: 158+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-05-20 16:20 Alexys Jacob [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-22 8:02 [gentoo-commits] repo/gentoo:master commit in: dev-db/mongodb/ Ulrich Müller
2024-12-11 5:48 Sam James
2024-07-23 13:39 Sam James
2024-05-14 1:17 Sam James
2024-01-07 7:45 Sam James
2024-01-07 7:44 Sam James
2024-01-07 7:44 Sam James
2023-09-09 15:48 David Seifert
2023-05-23 13:32 Sam James
2023-05-05 7:28 Arthur Zamarin
2023-05-03 6:33 Arthur Zamarin
2023-04-20 15:26 Alexys Jacob
2023-04-20 14:28 Alexys Jacob
2023-04-20 14:24 Alexys Jacob
2023-04-19 7:26 Alexys Jacob
2023-03-31 11:42 Arthur Zamarin
2023-01-08 14:57 Joonas Niilola
2022-11-15 15:44 Alexys Jacob
2022-10-15 14:39 Sam James
2022-10-15 14:34 Sam James
2022-10-15 14:34 Sam James
2022-10-15 14:34 Sam James
2022-10-15 14:34 Sam James
2022-06-26 6:40 Sam James
2022-06-17 17:58 Sam James
2022-06-02 4:00 Sam James
2022-02-10 11:45 Sam James
2022-02-07 13:23 Alexys Jacob
2022-02-06 0:31 Sam James
2021-10-21 23:54 Georgy Yakovlev
2021-10-21 14:10 Alexys Jacob
2021-10-20 6:57 Sam James
2021-10-20 6:57 Sam James
2021-09-20 8:56 Andreas K. Hüttel
2021-09-19 7:12 Andreas K. Hüttel
2021-08-27 20:45 Sam James
2021-08-23 15:41 Alexys Jacob
2021-08-20 18:12 Alexys Jacob
2021-07-27 11:00 Marek Szuba
2021-07-15 14:14 Thomas Deutschmann
2021-05-02 8:07 Mikle Kolyada
2021-03-09 7:53 Alexys Jacob
2021-02-19 8:16 Alexys Jacob
2021-02-18 8:39 Sam James
2020-12-03 20:34 Thomas Deutschmann
2020-12-03 4:34 Sam James
2020-10-07 7:49 Alexys Jacob
2020-09-28 22:08 Sam James
2020-09-28 15:36 Alexys Jacob
2020-09-27 17:43 Alexys Jacob
2020-09-27 14:15 Sam James
2020-09-27 14:15 Sam James
2020-06-26 23:00 Thomas Deutschmann
2020-06-26 23:00 Thomas Deutschmann
2020-05-20 20:53 Alexys Jacob
2020-05-20 16:25 Alexys Jacob
2020-05-11 15:32 Mart Raudsepp
2020-03-22 10:57 Alexys Jacob
2020-03-16 21:18 Michał Górny
2020-02-09 16:31 Alexys Jacob
2019-12-30 12:36 Alexys Jacob
2019-11-30 1:19 Aaron Bauman
2019-11-04 6:23 Joonas Niilola
2019-09-26 19:57 Mikle Kolyada
2019-09-25 8:45 Alexys Jacob
2019-09-23 13:46 Alexys Jacob
2019-09-23 13:43 Alexys Jacob
2019-08-21 7:16 Alexys Jacob
2019-08-13 5:57 Alexys Jacob
2019-08-09 14:50 Agostino Sarubbo
2019-08-09 12:51 Agostino Sarubbo
2019-08-09 7:28 Alexys Jacob
2019-08-09 7:28 Alexys Jacob
2019-06-17 12:34 Alexys Jacob
2019-06-07 9:45 Alexys Jacob
2019-04-17 13:11 Alexys Jacob
2019-04-14 10:51 Alexys Jacob
2019-04-14 10:36 Alexys Jacob
2019-03-28 17:39 Zac Medico
2019-03-28 17:39 Zac Medico
2019-03-04 1:35 Thomas Deutschmann
2019-03-04 1:35 Thomas Deutschmann
2019-03-04 1:35 Thomas Deutschmann
2019-03-04 1:35 Thomas Deutschmann
2018-12-17 11:26 Alexys Jacob
2018-11-10 20:57 Thomas Deutschmann
2018-11-03 18:31 Mikle Kolyada
2018-10-26 13:18 Thomas Deutschmann
2018-10-26 13:18 Thomas Deutschmann
2018-09-28 7:53 Alexys Jacob
2018-09-28 7:53 Alexys Jacob
2018-09-09 20:41 Thomas Deutschmann
2018-08-29 20:57 Alexys Jacob
2018-08-11 13:58 Jonas Stein
2018-08-09 9:04 Alexys Jacob
2018-08-02 7:31 Alexys Jacob
2018-07-12 13:27 Michał Górny
2018-06-11 19:25 Alexys Jacob
2018-06-11 19:25 Alexys Jacob
2018-05-07 7:39 Alexys Jacob
2018-03-02 14:34 Alexys Jacob
2018-03-02 14:34 Alexys Jacob
2018-02-15 15:02 Alexys Jacob
2018-02-15 15:02 Alexys Jacob
2018-02-12 16:13 Alexys Jacob
2018-02-11 16:42 Alexys Jacob
2018-02-09 14:15 Thomas Deutschmann
2018-01-26 21:24 Mikle Kolyada
2017-11-21 21:16 Alexys Jacob
2017-11-21 21:16 Alexys Jacob
2017-11-21 21:16 Alexys Jacob
2017-11-05 17:11 Alexys Jacob
2017-11-05 17:11 Alexys Jacob
2017-10-13 8:33 Alexys Jacob
2017-09-05 8:17 David Seifert
2017-07-31 19:01 Zac Medico
2017-07-31 14:38 Alexys Jacob
2017-07-31 14:38 Alexys Jacob
2017-07-31 12:14 Alexys Jacob
2017-05-02 8:56 Alexys Jacob
2017-04-26 13:22 Alexys Jacob
2017-04-26 13:22 Alexys Jacob
2017-03-31 14:47 Alexys Jacob
2017-02-08 8:19 Alexys Jacob
2017-02-06 16:10 Alexys Jacob
2017-01-28 10:46 Alexys Jacob
2017-01-25 15:35 Agostino Sarubbo
2017-01-25 14:29 Agostino Sarubbo
2017-01-18 16:19 Alexys Jacob
2016-12-21 22:54 Thomas Deutschmann
2016-11-20 13:41 Alexys Jacob
2016-11-20 13:35 Alexys Jacob
2016-11-05 14:46 Alexys Jacob
2016-11-03 8:22 Alexys Jacob
2016-10-04 8:50 Alexys Jacob
2016-09-24 13:45 Agostino Sarubbo
2016-08-19 13:01 Alexys Jacob
2016-08-19 12:59 Alexys Jacob
2016-08-19 12:59 Alexys Jacob
2016-08-04 14:42 Alexys Jacob
2016-05-17 15:45 Alexys Jacob
2016-04-21 15:38 Alexys Jacob
2016-04-04 15:37 Alexys Jacob
2016-03-25 13:56 Alexys Jacob
2016-03-09 10:58 Alexys Jacob
2016-03-09 8:16 Alexys Jacob
2016-02-18 11:15 Alexys Jacob
2016-01-27 9:42 Alexys Jacob
2016-01-20 12:46 Alexys Jacob
2016-01-01 9:37 Michał Górny
2016-01-01 9:37 Michał Górny
2015-12-28 17:28 Alexys Jacob
2015-12-21 15:17 Alexys Jacob
2015-10-14 9:33 Alexys Jacob
2015-10-05 13:52 Julian Ospald
2015-08-28 10:36 Alexys Jacob
2015-08-25 8:38 Alexys Jacob
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1589991620.1a0d8929be7eaf212a2542e340f5fc227a134b43.ultrabug@gentoo \
--to=ultrabug@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox